PHPExcel_Reader_Excel2007_Chart

category | PHPExcel
package | PHPExcel_Reader_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## readChart()

    readChart($chartElements, $chartName)

Static

### Parameters

#### $chartElements

#### $chartName

## _chartDataSeries()

    _chartDataSeries($chartDetail, $namespacesChartMeta, $plotType)

Static

### Parameters

#### $chartDetail

#### $namespacesChartMeta

#### $plotType

## _chartDataSeriesValueSet()

    _chartDataSeriesValueSet($seriesDetail, $namespacesChartMeta, $marker, $smoothLine)

Static

### Parameters

#### $seriesDetail

#### $namespacesChartMeta

#### $marker

#### $smoothLine

## _chartDataSeriesValues()

    _chartDataSeriesValues($seriesValueSet, $dataType)

Static

### Parameters

#### $seriesValueSet

#### $dataType

## _chartDataSeriesValuesMultiLevel()

    _chartDataSeriesValuesMultiLevel($seriesValueSet, $dataType)

Static

### Parameters

#### $seriesValueSet

#### $dataType

## _chartLayoutDetails()

    _chartLayoutDetails($chartDetail, $namespacesChartMeta)

Static

### Parameters

#### $chartDetail

#### $namespacesChartMeta

## _chartTitle()

    _chartTitle($titleDetails, $namespacesChartMeta, $type)

Static

### Parameters

#### $titleDetails

#### $namespacesChartMeta

#### $type

## _getAttribute()

    _getAttribute($component, $name, $format)

Static

### Parameters

#### $component

#### $name

#### $format

## _parseRichText()

    _parseRichText($titleDetailPart)

Static

### Parameters

#### $titleDetailPart

## _readChartAttributes()

    _readChartAttributes($chartDetail)

Static

### Parameters

#### $chartDetail

## _readColor()

    _readColor($color, $background)

Static

### Parameters

#### $color

#### $background

## _setChartAttributes()

    _setChartAttributes($plotArea, $plotAttributes)

Static

### Parameters

#### $plotArea

#### $plotAttributes